# DataExchange
TKSTEPBase
StepGeom

# StepGeom_SurfaceCurve Class Reference

`#include <StepGeom_SurfaceCurve.hxx>`

Inheritance diagram for StepGeom_SurfaceCurve:

[legend]

## Public Member Functions

Standard_EXPORT | StepGeom_SurfaceCurve ()
| Returns a SurfaceCurve .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepGeom_Curve)&aCurve3d, const Handle(StepGeom_HArray1OfPcurveOrSurface)&aAssociatedGeometry, const StepGeom_PreferredSurfaceCurveRepresentation aMasterRepresentation)
Standard_EXPORT void | SetCurve3d (const Handle(StepGeom_Curve)&aCurve3d)
Standard_EXPORT Handle_StepGeom_Curve | Curve3d () const
Standard_EXPORT void | SetAssociatedGeometry (const Handle(StepGeom_HArray1OfPcurveOrSurface)&aAssociatedGeometry)
Standard_EXPORT Handle_StepGeom_HArray1OfPcurveOrSurface | AssociatedGeometry () const
Standard_EXPORT StepGeom_PcurveOrSurface | AssociatedGeometryValue (const Standard_Integer num) const
Standard_EXPORT Standard_Integer | NbAssociatedGeometry () const
Standard_EXPORT void | SetMasterRepresentation (const StepGeom_PreferredSurfaceCurveRepresentation aMasterRepresentation)
Standard_EXPORT StepGeom_PreferredSurfaceCurveRepresentation | MasterRepresentation () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepGeom_Curve | curve3d
Handle_StepGeom_HArray1OfPcurveOrSurface | associatedGeometry
StepGeom_PreferredSurfaceCurveRepresentation | masterRepresentation

## Constructor & Destructor Documentation

Standard_EXPORT StepGeom_SurfaceCurve::StepGeom_SurfaceCurve | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepGeom_HArray1OfPcurveOrSurface StepGeom_SurfaceCurve::AssociatedGeometry | ( |  | ) | const

Standard_EXPORT StepGeom_PcurveOrSurface StepGeom_SurfaceCurve::AssociatedGeometryValue | ( | const Standard_Integer | num | ) | const

Standard_EXPORT Handle_StepGeom_Curve StepGeom_SurfaceCurve::Curve3d | ( |  | ) | const

Standard_EXPORT const StepGeom_SurfaceCurve::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepGeom_Curve. Reimplemented in StepGeom_IntersectionCurve, StepGeom_SeamCurve, and StepGeom_SurfaceCurveAndBoundedCurve.

virtual Standard_EXPORT void StepGeom_SurfaceCurve::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepGeom_Curve)& | aCurve3d,
|  | const Handle(StepGeom_HArray1OfPcurveOrSurface)& | aAssociatedGeometry,
|  | const StepGeom_PreferredSurfaceCurveRepresentation | aMasterRepresentation
| ) | `[virtual]`

virtual Standard_EXPORT void StepGeom_SurfaceCurve::Init | ( | const Handle(TCollection_HAsciiString)& | aName | ) | `[virtual]`

| Reimplemented from StepRepr_RepresentationItem.

Standard_EXPORT StepGeom_PreferredSurfaceCurveRepresentation StepGeom_SurfaceCurve::MasterRepresentation | ( |  | ) | const

Standard_EXPORT Standard_Integer StepGeom_SurfaceCurve::NbAssociatedGeometry | ( |  | ) | const

Standard_EXPORT void StepGeom_SurfaceCurve::SetAssociatedGeometry | ( | const Handle(StepGeom_HArray1OfPcurveOrSurface)& | aAssociatedGeometry | ) |

Standard_EXPORT void StepGeom_SurfaceCurve::SetCurve3d | ( | const Handle(StepGeom_Curve)& | aCurve3d | ) |

Standard_EXPORT void StepGeom_SurfaceCurve::SetMasterRepresentation | ( | const StepGeom_PreferredSurfaceCurveRepresentation | aMasterRepresentation | ) |

## Field Documentation

Handle_StepGeom_HArray1OfPcurveOrSurface StepGeom_SurfaceCurve::associatedGeometry `[private]`

Handle_StepGeom_Curve StepGeom_SurfaceCurve::curve3d `[private]`

StepGeom_PreferredSurfaceCurveRepresentation StepGeom_SurfaceCurve::masterRepresentation `[private]`

The documentation for this class was generated from the following file:

- StepGeom_SurfaceCurve.hxx